Page MenuHomePhabricator

the upload-source-file message looks redundant
Closed, ResolvedPublic

Description

On Special:Upload there's a line that says: "Maximum file size: 1,000 MB (your chosen file from your computer)"

What is "(your chosen file from your computer)" supposed to mean? It looks redundant. Maybe it's supposed to add clarity, but it adds obscurity. I'd just remove it.

Event Timeline

Amire80 created this task.Apr 1 2015, 6:50 PM
Amire80 raised the priority of this task from to Needs Triage.
Amire80 updated the task description. (Show Details)
Amire80 added a project: MediaWiki-Uploading.
Amire80 added subscribers: Amire80, TomerA.
Restricted Application added a project: Multimedia. · View Herald TranscriptApr 1 2015, 6:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Gilles claimed this task.Apr 2 2015, 9:41 AM
Gilles added a comment.Apr 2 2015, 9:46 AM

It seems to be because there are two situations:

"upload_source_url": "(your chosen file from a valid, publicly accessible URL)",
"upload_source_file": "(your chosen file from your computer)",

The code suggests that when upload by URL is turned on, there might 2 different limits, one for each way of inputting files.

Since the message is more confusing than helpful when upload by url is turned off, it makes sense to just not display that message in that situation.

Change 201434 had a related patch set uploaded (by Gilles):
Only display upload size limit differentiation message if there are 2 upload methods

https://gerrit.wikimedia.org/r/201434

Gilles triaged this task as Low priority.Apr 2 2015, 9:53 AM

Change 201434 merged by jenkins-bot:
Better file size limit message display logic

https://gerrit.wikimedia.org/r/201434

Umherirrender closed this task as Resolved.Apr 3 2015, 2:16 PM
Umherirrender added a subscriber: Umherirrender.

Fix will be part of Version 1.25wmf25 or 1.26wmf1 - see https://www.mediawiki.org/wiki/MediaWiki_1.25/Roadmap or https://www.mediawiki.org/wiki/MediaWiki_1.26/Roadmap for the time line